classification
Title: doc truncated lines in PDF
Type: Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mikhail_D, docs@python, mdk, ned.deily
Priority: normal Keywords:

Created on 2018-06-23 16:52 by Mikhail_D, last changed 2019-05-07 21:29 by mdk. This issue is now closed.

Messages (4)
msg320313 - (view) Author: Mikhail (Mikhail_D) Date: 2018-06-23 16:52
Hello, Python Team,

In reference.pdf I came across truncated lines in Python syntax that are not wrapped and carried forward to the next line, but instead run across the right margin.

Examples
"2.3 Identifiers and keywords" line contains "id_start ::= <all characters in general categories"

"8.8.1 Coroutine function definition" line contains "async_funcdef ::= [decorators] "async" "def" funcname "(" [parameter_list] ")" ["->" expression"

It would be VERY convenient to fix this for printing.

Thank you
msg320317 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-23 18:33
Can you say from which URL you downloaded the PDF (assuming you didn't build it yourself)?
msg320341 - (view) Author: Mikhail (Mikhail_D) Date: 2018-06-24 01:28
This file was taken from

https://docs.python.org/3.7/archives/python-3.7.0rc1-docs-pdf-a4.zip

Hashes 

CRC32: 327CF408
MD5: 7EBEB565C1EA7E52F366B5C734500FAC
SHA-1: 09727C07C45965E4E43664B727E7CAECC4F3CD89
SHA-256: 3EB1E769F3A1F17922B3BC99AE5C316209E74B7CB6CBE4B4769D55D859AC5BC8
SHA-512: EB60766B2C594BD86CF2C038147AF50462DFC379F7DA88C0A89F8791ED0332F67986DA6D328549B463E6CD5A0630F1ECDC140E6DE2C769EE20799C03384F0A2C
SHA3-256: 136575BABCC4B666E39AEBD9E96D09684EE677EDC01825C4D891E141D43CC252

Thank you
msg341831 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-05-07 21:29
We recentrly upgraded our PDF build toolchain and I don't see it happen again.

Don't hesitate to reopen if you find another occurence of it.

Thanks for reporting!
History
Date User Action Args
2019-05-07 21:29:25mdksetstatus: open -> closed
resolution: fixed
messages: + msg341831

stage: resolved
2018-06-24 01:28:39Mikhail_Dsetmessages: + msg320341
2018-06-23 23:12:46ned.deilysetnosy: + mdk
2018-06-23 18:33:12ned.deilysetnosy: + ned.deily
messages: + msg320317
2018-06-23 16:52:55Mikhail_Dcreate